# SwagETracker

Dieses Plugin bietet die Möglichkeit das Tracking System "eTracker" (www.etracker.com) an Shopware anzubinden.

# 1 Konfiguration
## 1.1 Account-Schlüssel
Zur Konfiguration wird lediglich ein Account-Key von eTracker selbst benötigt.
Diesen findet man in der Account-Übersicht unter Einstellungen > Setup/Tracking Code.

## 1.2 Eigene Seitennamen nutzen
Sofern man diesen Haken nicht setzt, listet eTracker alle Seiten lediglich anhand der URL auf.
Zur besseren Unterscheidung der Seiten kann daher ein eigener Seitenname vergeben werden.

### 1.2.1 Shopware-Standard benutzen
Die erste Wahl "Shopware-Standard benutzen" lässt automatisch die Seitennamen anhand des Schemas "controller_action_custom_(Id: id)"
erstellen.

"Controller" wird durch den derzeitigen Controller ersetzt, "Action" durch die derzeitig ausgeführte Action.
"Custom" beinhaltet einen individuellen Namen, so bspw. auf der Artikelseite der Name des Artikels, in einer Kategorie wäre dies der Kategorie-Name oder ggf. die Blog-Überschrift.
Der Wert "id" beinhaltet, sofern vorhanden, die ID des Artikels, der Kategorie, des Blogs usw.
Sofern keine ID vorhanden ist, beispielsweise auf der Account-Seite, wird nichts zurückgegeben.

### 1.2.2 Eigenes Schema benutzen
Die zweite Option "Eigenes Schema benutzen" aktiviert das Feld "Schema".
Dort kann man selbst definieren nach welchem Muster die Seiten unterschieden werden sollen.
Hier kann also bspw. das Muster "name_%custom%;id_%Id%" benutzt werden, sodass die Seitennamen in diesem Beispiel
so unterschieden werden: "name_Strandtuch Blau;id_133".
Mögliche Werte bisher sind %controller%, %action%, %custom% und %id%.

## 1.3 Bereiche einteilen
eTracker bietet die Möglichkeit die Seiten nach Bereichen einzuteilen.
Es gibt keine genaue Definition, was ein Bereich ist.
So kann ein Bereich ein ganzer Subshop sein, aber auch jede einzelne Detailseite kann ein eigener Bereich sein.
Die Definition soll dem Benutzer überlassen werden.

### 1.3.1 Controller
Hier werden die Bereiche simpel nach Controller eingeteilt.
Dies bedeutet, dass alle Artikel-Detailseiten als ein Bereich zählen, alle Kategorien zählen als ein Bereich, die Account-Seite, die Index-Seite, ... und so weiter.

### 1.3.2 Kategorien
Bei dieser Option wird die Seite lediglich zwischen den Kategorien entschieden.
Jede Kategorie stellt somit einen eigenen Bereich da.
Alle anderen Seiten, wie bspw. die Account-Seite, sind somit keinem Bereich zugeordnet.

### 1.3.3 Shops
Es ist so simpel wie es scheint. In diesem Fall zählt jeder (Sub-)Shop als eigener Bereich.

### 1.3.4 Eigene Bereiche
Um dem Benutzer noch mehr Möglichkeiten an die Hand zu reichen die Bereiche selbst und individuell zu gestalten, bieten wir diese Option an.
Beim Klick auf diese Option wird der Tab "Bereiche" aktiviert.
Dort kann man nun beliebig viele Bereiche erstellen und gestalten.

Bei einem Klick auf "Hinzufügen" öffnet sich ein neues Fenster zur Erstellung eines neuen Bereichs.
Zunächst vergeben wir hier einen Namen für den Bereich, der später in eTracker auftauchen soll.
Als Beispiel wählen wir hier "Artikel-Detailseite", um alle Artikel-Detailseiten einem Bereich zu zuordnen.
In dem Feld "Einteilung in" wählen wir nun "Controller" aus, da die Detailseite dem Controller "detail" angehört.
Ein kleiner Klick auf "Speichern" und der Bereich wird gespeichert, jedoch noch ohne eine Zuweisung ein
Dem Bereich sind nun aber noch keine Controller zugewiesen, daher klicken wir noch einmal auf den Stift zum Bearbeiten des Bereichs.
Nun ist auch der untere Teil des Fensters verfügbar.
Wir können uns nun alle Controller auflisten lassen, indem wir simpel auf den Pfeil des Dropdowns klicken.
Alternativ bietet das Dropdown auch eine Suche an.
Bereits bei der Eingabe von "Det" bekommen wir den gewünschen Controller angezeigt.
Wir wählen "Detail" aus und klicken anschließend auf "Hinzufügen", um diesen Controller dem Bereich "Artikel-Detailseite" zu zuweisen.
Wir können jetzt noch beliebig viele Controller diesem Bereich zuweisen, bspw. alle Blog-Artikel sollen ebenfalls in diesen Bereich fallen.
In diesem Fall würden wir noch den Controller "Blog" hinzufügen.
Sofern wir dem Bereich keinen einzigen Controller zuweisen, zählen alle Controller zu diesem Bereich.

Wir können nun noch beliebig viele andere Bereiche erstellen, die bspw. die verschiedenen Kategorien einem Bereich zuweisen.
Auch hier gilt: Ist keine Kategorie zugewiesen zählen alle Kategorien zu dem Bereich.

Bei der Auswahl "Einteilung nach Shops" werden lediglich Subshops angezeigt, da Hauptshops bereits über eine eigene Konfiguration verfügen und komplette eigene Bereiche besitzen können.

## 1.4 Interessen-Level
Weiterhin besteht die Möglichkeit das Interesse des Kunden an dem Shop über Controller abzubilden.
Surft ein Kunde bspw. von Artikel zu Artikel, so ist sein Interesse an einem Kauf höher als bei einem Kunden, der lediglich seine Mail-Adresse im Account-Bereich ändern will.
In dieser Tabelle kann der Benutzer festlegen welches "Level" an Interesse einem Controller zugewiesen wird.

Mit "Hinzufügen" öffnet sich erneut ein Fenster.
Hier können wir einen Namen für das Interesse vergeben, dies hat jedoch keine Relevanz und wird nirgendswo ausgelesen.
Wichtig ist nun der Wert, den wir bei "Level" eintragen.
Wir können hier eine Skala von 1 bis 10 definieren, aber auch von 1 bis 100.
Die Berechnung erfolgt relativ zu dem Gesamt-Level aller Interessen.

Als Beispiel tragen wir hier eine 9 auf einer Skala von 1 bis 9 ein.
Anschließend weisen wir dem Interesse den Controller "Detail" für die Artikel-Detailseite zu.
Ein Klick auf "Speichern" speichert das Interesse.

Nun können wir bspw. noch ein weiteres Interesse erstellen für die Kategorien.
Dort wäre ggf. ein Level von 7 oder 8 angebracht.
Als Controller wählen wir hier "Listing", der für die Kategorien zuständig ist.

Eine Auflistung aller Controller und deren Bedeutung finden Sie unter dem Punkt "Hinweise".

## 1.5 Landing-Page ID
In eTracker lassen sich sogenannte Kampagnen erstellen.
Dabei erhält der Benutzer eine ID für diese Kampagne von eTracker, die er auf seiner Landingpage, die der Kampagne zugeordnet werden soll, einbauen muss.
Dazu gibt es in dem Einkaufswelten-Modul ein neues Feld "eTracker Landingpage ID".
Dort muss entsprechend lediglich die ID, die wir von eTracker erhalten, eingetragen werden.

# 2 Weitere nicht einstellbare Funktionen
Alle hier genannten Funktionen laufen versteckt im Hintergrund ab.
In zukünftigen Updates werden diese ggf. voll konfigurierbar sein.

## 2.1 Ziele
Es gibt in eTracker die Möglichkeit bestimmte Ziele zu definieren.
Ein Beispiel wäre der Bestellprozess.
Somit könnte die Artikel-Detailseite ein erstes Ziel darstellen, bspw. "Artikel aufgerufen".
Darauf folgend käme das Ziel "Artikel im Warenkorb" und als Ziel-Erreichung "Artikel bestellt".
Dies ist derzeit auch so bereits im Standard abgedeckt. Die Ziele werden dabei anhand eines "/" aufgelistet, sodass wir
folgenden Wert an eTracker übergeben: "articleInBasket/confirmOrder/orderFinished"

## 2.2 Warenkorbanalyse
Zur Analyse der Warenkörbe wird jedes Mal auf der Bestellbestätigungs-Seite der Warenkorb an eTracker übergeben.

## 2.3 Sonstiges
eTracker bietet von sich aus Funktionen an, die nur auf der eTracker-Seite selbst eingestellt werden können.
So beispielsweise die Umfragen, die natürlich auch nicht unterbunden werden.

# 3 Hinweise

## 3.1 Alle relevanten Controller
Folgende relevante Frontend-Controller existieren derzeit in Shopware:
Account - Der Account-Bereich
Blog - Alle Blog-Artikel
Campaign - Alle Einkaufswelten-Landingpages gehören zu diesem Controller
Checkout - Der Bestellprozess wird über diesen Controller abgedeckt, vom Warenkorb bis zur eigentlichen Bestellung
Compare - Der Artikel-Vergleich
Custom - Alle Seiten, die im Backend unter "Shopseiten" eingestellt worden sind laufen unter diesem Controller
Detail - Die Artikel-Detailseite
Forms - Alle Formulare, die im Backend unter "Formulare" existieren
Index - Die Startseite
Listing - Die Kategorien werden von diesem Controller abgedeckt
Newsletter - Die Newsletter-Anmeldung
Note - Der Merkzettel
Register - Die Registrierung
Search - Die eigentliche Artikelsuche im Frontend
Sitemap - Die Sitemap
Tellafriend - Die Weitersagen-Seite eines Artikels
Ticket - Wird für das Ticket-System genutzt

## 3.2 Events
In eTracker gibt es sogenannte Events, die man an bestimmte Aktionen hängen kann.
Die Einbindung der Events, die sehr individuell sein können, ist dabei jedem Kunden selbst überlassen und läuft über eine simple Template-Anpassung.

## 3.3 eTracker-Parameter
Folgende eTracker-Parameter werden verwendet:
et_pagename = Der Seitenname. Je nach Einstellung soll hier der Seitenname nach dem eigenen Schema angezeigt werden bzw. eben nach dem Muster "controller_action_custom_id". Leer, sofern keine eigenen Seitennamen benutzt werden sollen.
et_areas = Alle betroffenen Bereiche müssten hier anhand eines "," aufgelistet werden.
et_target = Das Ziel der derzeitigen Seite. Der Wert darf nur im Warenkorb, auf der Kassenseite und auf der Bestell-bestätigung gefüllt werden. Je nachdem wie weit der Kunde im Bestellprozess ist, werden mehr Ziele erreicht.
et_ilevel = Das Interessen-Level des derzeitigen Controllers
et_tval = Nur auf der Bestell-Bestätigungsseite. Enthält den Bestell-Wert
et_tonr = Nur auf der Bestell-Bestätigungsseite. Enthält die Bestell-Nummer
et_tsale = Nur auf der Bestell-Bestätigungsseite. Muss dort immer 1 sein.
et_basket = Nur auf der Bestell-Bestätigungsseite. Enthält den Inhalts des Warenkorbs in Form eines Strings.
et_cust = Nur auf der Bestell-Bestätigungsseite. Unterscheidung, ob es sich bei dem derzeitigen Kunden um einen neuen Kunden oder einem "alten" Kunden handelt. Kunde zählt als "Neu", wenn er sich erst am selben Tag registriert hat.
et_lpage = Nur auf Landingpages. Enthält, sofern vorhanden, die neu einstellbare ID.
et_tag = Enthält sowohl den Loginstatus "login=yes" bzw. "login=no" sowie eine Kundengruppe, sofern vorhanden.